<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iMessageReceiver Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iMessageReceiver Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iMessageReceiver" --><!-- doxytag: inherits="iBase" -->
<p>Implement this interface if you are interested in receiving messages.  
 <a href="structiMessageReceiver.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="messaging_8h_source.html">physicallayer/messaging.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iMessageReceiver:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiMessageReceiver.png" usemap="#iMessageReceiver_map" alt=""/>
  <map id="iMessageReceiver_map" name="iMessageReceiver_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,117,24"/>
</map>
 </div></div>

<p><a href="structiMessageReceiver-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiMessageReceiver.html#a9cbdd91c224c138a044491eb36148d8a">ReceiveMessage</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> msg_id, <a class="el" href="structiMessageSender.html">iMessageSender</a> *sender, <a class="el" href="structcelData.html">celData</a> &amp;ret, <a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Receive a message for a specific message id.  <a href="#a9cbdd91c224c138a044491eb36148d8a"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Implement this interface if you are interested in receiving messages. </p>

<p>Definition at line <a class="el" href="messaging_8h_source.html#l00109">109</a> of file <a class="el" href="messaging_8h_source.html">messaging.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a9cbdd91c224c138a044491eb36148d8a"></a><!-- doxytag: member="iMessageReceiver::ReceiveMessage" ref="a9cbdd91c224c138a044491eb36148d8a" args="(csStringID msg_id, iMessageSender *sender, celData &amp;ret, iCelParameterBlock *params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiMessageReceiver.html#a9cbdd91c224c138a044491eb36148d8a">iMessageReceiver::ReceiveMessage</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>msg_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiMessageSender.html">iMessageSender</a> *&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structcelData.html">celData</a> &amp;&#160;</td>
          <td class="paramname"><em>ret</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Receive a message for a specific message id. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">msg_id</td><td>this is the message ID representing the message. </td></tr>
    <tr><td class="paramname">sender</td><td>is an optional sender. If the sender doesn't want to be identified this field can be 0. </td></tr>
    <tr><td class="paramname">ret</td><td>gives the possibility to return information to the sender of this message. </td></tr>
    <tr><td class="paramname">params</td><td>contains the parameters for this message. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>false if this message was not handled or recognized by this receiver. Otherwise true. </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="messaging_8h_source.html">messaging.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
